Linux XBMC Gotham build crashes, only when playing internet stream
#1
Updated my xbmc to Gotham this morning, set everything up the same as Frodo. Videos/Movies/TV Shows all updated and playing fine it seems, however when I try and use a "streaming" service like the BBC Iplayer or 4OD addon, XBMC crashes.

I have the up to date Iplayer addon from this forum.

Debug Log

Thanks for any help
Reply
#2
Please post the crashlog after sudo apt-get install gdb. It should be in your home directory.
First decide what functions / features you expect from a system. Then decide for the hardware. Don't waste your money on crap.
Reply
#3
Crash log

Debug Log

gdb was already at its newest version according to the terminal.
Reply
#4
dpkg -l |grep rtmp please.
First decide what functions / features you expect from a system. Then decide for the hardware. Don't waste your money on crap.
Reply
#5
not sure what you mean, but this is what comes up after that command

ii librtmp0:amd64 2.4+20121230.gitdf6c518-1 amd64 toolkit for RTMP streams (shared library)
Reply
#6
A team member is investigating, he could reproduce.
First decide what functions / features you expect from a system. Then decide for the hardware. Don't waste your money on crap.
Reply
#7
I think I found the issue. Testing the fix involves all platforms, so it might take a bit.
If you can compile yourself, try this branch and report back if it works: https://github.com/wsnipex/xbmc/tree/linking-fix
Reply
#8
Sorry I wish I could help, not very clued up on the tech side of xbmc or Ubuntu. If there's anything I can do let me know
Reply
#9
some as on raspberry pi

http://xbmclogs.com/show.php?id=193010
Reply
#10
I'm also having the same problem after upgrading in Ubuntu 13.10. The log file shows the following error:

ERROR: Unable to open dll special://xbmcbin/system/
Reply
#11
I get the same issue on 14.04. I don't have the know-how to compile myself. Are you able to put the fixed branch on the PPA somehow so I can just apt-get upgrade it? Otherwise I hope someone else can test and fix.

Edit: building from source looks quite straightforward actually - if I do this, can I then use apt-get in future to update over the top of my manually built version?
Reply
#12
@smbkr: you'd have to uninstall the compiled version first, usually by running "make uninstall" in the source directory. After that you can use apt-get however you want.
Reply
#13
Manually built versions install in /usr/local/bin unless otherwise specified whereas the dpkg (ppa) ones are installed in /usr/bin by default.
Reply
#14
a fixed package will hit the stable ppa today. If you want to help test it, its located here in the meantime: https://launchpad.net/~wsnipex/+archive/xbmc-nightly
Reply
#15
That is mainline gotham with your rtmp fix? Not fernet-menta?
Reply
 
Thread Rating:
  • 2 Vote(s) - 5 Average



Logout Mark Read Team Forum Stats Members Help
XBMC Gotham build crashes, only when playing internet stream52
This forum uses Lukasz Tkacz MyBB addons.